#if !defined(AFX_DLGHELP_H__B92DE047_45AD_477A_BA88_6D450728C2B4__INCLUDED_)
#define AFX_DLGHELP_H__B92DE047_45AD_477A_BA88_6D450728C2B4__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// DlgHelp.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// DlgHelp dialog

enum {LANENGLISH = 0, LANITALIAN};

class DlgHelp : public CDialog
{
// Construction
public:
	DlgHelp(CWnd* pParent = NULL);   // standard constructor
// Dialog Data
	//{{AFX_DATA(DlgHelp)
	enum { IDD = IDD_HELP };
		// NOTE: the ClassWizard will add data members here
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(DlgHelp)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(DlgHelp)
   afx_msg void OnInitMenuPopup(CMenu *pPopupMenu, UINT nIndex,BOOL bSysMenu);
	afx_msg void OnPaint();
	afx_msg void OnCancelMode();
	afx_msg void OnLanguageEnglish();
	afx_msg void OnLanguageItalian();
	afx_msg void OnUpdateLanguageItalian(CCmdUI* pCmdUI);
	afx_msg void OnUpdateLanguageEnglish(CCmdUI* pCmdUI);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
private:
   void init(bool b);
   int mLanguage;
   std::string mMsgRules;
   std::string mMsgInfo;
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_DLGHELP_H__B92DE047_45AD_477A_BA88_6D450728C2B4__INCLUDED_)
